
(function () {
    window.mcw = {};
    mcw.baseURL = '/';
    mcw.wikiURL = '/';
    mcw.i18n = {hideText: '隐藏', showText: '显示', loadErrorTitle: 'An error occurred loading the content', defaultLicense: 'License'};
    $(function () {
        mcw.makeCollapsible = function ($content) {
            if (
                $content === undefined) {
                $content = $('table.collapsible');
            } else {
                $content = $content.find('table.collapsible');
            }
            if (!$content.length) {
                return false;
            }
            var buttonText = ' <span class="collapsible-button">[<span class="jslink">' + mcw.i18n.hideText + '</span>]</span> ';
            $content.each(function () {
                var $table = $(this), $header, $collapseButton, firstWidth, secondWidth;
                if ($table.data('collapsible')) {
                    return true;
                }
                $header = $table.find('tr:first .collapse-button');
                if (!$header.length) {
                    $header = $table.find('tr:first > th:first');
                }
                if (!$header.length || !$table.find('tr:not(tr:first)').text().replace(/\n/g, '').length) {
                    return true;
                }
                if ($table.hasClass('collapse-button-none')) {
                    $header.append(buttonText);
                } else {
                    $header.prepend(buttonText);
                }
                $collapseButton = $table.find('.collapsible-button');
                firstWidth = $collapseButton.width();
                $collapseButton.find('> .jslink').text(mcw.i18n.showText);
                secondWidth = $collapseButton.width();
                if (firstWidth != secondWidth) {
                    if (firstWidth < secondWidth) {
                        $collapseButton.css('min-width', secondWidth);
                    } else {
                        $collapseButton.css('min-width', firstWidth);
                    }
                }
                if (!$table.hasClass('collapsed')) {
                    $collapseButton.find('> .jslink').text(mcw.i18n.hideText);
                }
                $table.data('collapsible', true);
            });
        };
        $('#mw-content-text').on('click', 'table.collapsible .collapsible-button .jslink', function (e) {
            var $table = $(this).closest('table.collapsible');
            e.stopPropagation();
            if ($table.hasClass('collapsed')) {
                $table.removeClass('collapsed').addClass('expanded');
                $(this).text(mcw.i18n.hideText);
            } else {
                $table.removeClass('expanded').addClass('collapsed');
                $(this).text(mcw.i18n.showText);
            }
        });
        mcw.makeCollapsible();
        if (document.location.search.indexOf("undo=") !== -1 && document.getElementsByName('wpAutoSummary')[0]) {
            document.getElementsByName('wpAutoSummary')[0].value = '1';
        }
        mcw.animation = function () {
            if (mcw.animate === undefined && $('.animated').length) {
                mcw.animate = setInterval(function () {
                    $('.animated').each(function () {
                        var $current = $(this).children('.active'), $next = $current.nextAll(':not(.skip):first');
                        if (!$next.length) {
                            $next = $(this).children(
                                ':not(.skip):first');
                        }
                        $current.removeClass('active');
                        $next.addClass('active');
                    });
                }, 2000);
            }
        };
        mcw.animation();
        $('#mw-content-text').on({'mouseenter': function () {
            $(this).find('.animated').removeClass('animated').addClass('paused');
        }, 'mouseleave': function () {
            $(this).find('.paused').removeClass('paused').addClass('animated');
        }}, '.grid-generic, .grid-Crafting_Table, .grid-Furnace, .grid-Brewing_Stand');
        if ($.client.profile().name === 'msie' && $.client.profile().versionBase === '8') {
            $('.navbox-list li:last').addClass('last-child');
        }
        var $loadPage = $('.load-page');
        if ($loadPage.length) {
            mw.loader.load('jquery.spinner');
            var $buttonText = $('<span/>').addClass('load-page-button').css({display: 'inline-block', marginLeft: '0.8em', fontWeight: 'normal'}).html('[<span class="jslink">' + mcw.i18n.hideText + '</span>]');
            $loadPage.find('.mw-headline:first').each(function () {
                var $button, firstWidth, secondWidth;
                $(this).append($buttonText.clone());
                $button = $(this).find('> .load-page-button');
                firstWidth = $button.width();
                $button.
                    find('> .jslink').text(mcw.i18n.showText);
                secondWidth = $button.width();
                if (firstWidth != secondWidth) {
                    if (firstWidth < secondWidth) {
                        $button.css('min-width', secondWidth);
                    } else {
                        $button.css('min-width', firstWidth);
                    }
                }
            });
        }

        mcw.minetip = {create: function () {
            var tooltip;
            $('#mw-content-text').on({'mouseenter.minetip': function (e) {
                var $elem = $(this), title = $elem.data('minetip-title'), description = $elem.data('minetip-text');
                if (title === undefined
                    || title && title.replace(/&([0-9a-fl-o])|\s+/g, '') === '') {
                    var attrTitle = $elem.attr('title') || $elem.find('> a:first').attr('title');
                    if (title === undefined) {
                        title = attrTitle;
                    } else {
                        title += attrTitle;
                    }
                    if (title) {
                        $elem.data('minetip-title', title);
                    } else {
                        return;
                    }
                }
                $elem.add('*', $elem).filter('[title]').removeAttr('title');
                if (title === 0) {
                    return;
                }
                var text = '<span class="title">' + title + '&f</span>';
                if (description) {
                    text += '\n<span class="description">' + description.replace(/\\\//g, '&#47;').replace(/\//g, '<br>') + '&f</span>';
                }
                if (!$('#minetip-tooltip').length) {
                    $('body').append('<div id="minetip-tooltip"/>');
                }
                tooltip = $('#minetip-tooltip');
                while (text.match(/&[0-9a-el-o]/)) {
                    text = text.replace(/&([0-9a-el-o])(.*?)(&f|$)/g, '<span class="format-$1">$2</span>&f');
                }
                text = text.replace(/&f/g, '');
                tooltip.html(text);
                $elem.trigger('mousemove', e);
            }, 'mousemove.minetip': function (e, trigger) {
                if (!$('#minetip-tooltip').length) {
                    $(this).trigger('mouseenter');
                    return;
                }
                e = trigger || e;
                var top = e.clientY - 34, left = e.clientX + 14, width = tooltip.
                    outerWidth(true), height = tooltip.outerHeight(true), $win = $(window), winWidth = $win.width(), winHeight = $win.height();
                if (left + width > winWidth) {
                    left -= width + 36;
                }
                if (left < 0) {
                    left = 0;
                    top += 82;
                    if (top + height > winHeight) {
                        top -= 77 + height;
                    }
                } else if (top < 0) {
                    top = 0;
                } else if (top + height > winHeight) {
                    top = winHeight - height;
                }
                tooltip.css({top: top, left: left});
            }, 'mouseleave.minetip': function () {
                if (!tooltip) {
                    return;
                }
                tooltip.remove();
            }}, '.minetip, .grid .image, .grid .item, .grid2 .item').off('.minetipNative');
        }, destroy: function () {
            $('#mw-content-text').off('.minetip .minetipNative');
            $('#minetip-tooltip').remove();
        }, native: function () {
            $('#mw-content-text').on('mouseenter.minetipNative', '.minetip, .grid .image, .grid .item, .grid2 .item', function () {
                var title = $(this).data('minetip-title'), description = $(this).data('minetip-text'), existingTitle = $(this).attr('title') || $(this).find('> a:first').attr('title');
                if (title || title === 0 || $(this).attr('title')) {
                    $(this).find('[title]').removeAttr('title');
                }
                if (title === 0) {
                    $(this).removeAttr(
                        'title');
                    return;
                } else if (!title && (!existingTitle || !description)) {
                    return;
                } else if (!title && existingTitle) {
                    $(this).data('minetip-title', existingTitle);
                }
                var text = title || existingTitle;
                if (description) {
                    text += '\n' + description;
                }
                text = text.replace(/&([0-9a-fl-o])/g, '').replace(/\\\//g, '&#47;').replace(/\//g, '\n').replace(/&#47;/g, '/');
                $(this).attr('title', text);
            }).off('.minetip');
        }};
        if (mcw.useNativeMinetip) {
            mcw.minetip.native();
        } else {
            mcw.minetip.create();
        }
    });
})();
mw.loader.state({"site": "ready"});
/* cache key: minecraft_zh_gamepedia:resourceloader:filter:minify-js:7:4a1cc8889830c3c71e97a577685786ba */